Models
curl --request GET \
--url https://app.frogbot.ai/api/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.frogbot.ai/api/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.frogbot.ai/api/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.frogbot.ai/api/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.frogbot.ai/api/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.frogbot.ai/api/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.frogbot.ai/api/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "<string>",
"data": [
{
"id": "<string>",
"object": "<string>",
"created": 123,
"owned_by": "<string>",
"provider": "<string>",
"created_at": "<string>",
"provider_info": {},
"...": "<any>"
}
]
}Inference API
Models
List supported model IDs for inference
GET
/
api
/
v1
/
models
Models
curl --request GET \
--url https://app.frogbot.ai/api/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.frogbot.ai/api/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.frogbot.ai/api/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.frogbot.ai/api/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.frogbot.ai/api/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.frogbot.ai/api/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.frogbot.ai/api/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "<string>",
"data": [
{
"id": "<string>",
"object": "<string>",
"created": 123,
"owned_by": "<string>",
"provider": "<string>",
"created_at": "<string>",
"provider_info": {},
"...": "<any>"
}
]
}List the model IDs you may use across all inference endpoints.
Chat models
Use these model IDs with chat completions and messages. Prices are USD per 1M tokens on the registry’s default route. A dash means the route has no cached-input price.| Model ID | Default route | Context | Input | Cached input | Output |
|---|---|---|---|---|---|
claude-fable-5-1 | Bedrock | 1M | $10 | $0.25 | $50 |
claude-opus-5-5 | Bedrock | 1M | $4 | $0.20 | $20 |
claude-sonnet-5-5 | Bedrock | 1M | $2 | $0.10 | $10 |
claude-haiku-5-5 | Bedrock | 1M | $0.10 | $0.01 | $0.50 |
claude-fable-5 | Bedrock | 1M | $10 | $1 | $50 |
claude-opus-5 | Bedrock | 1M | $5 | $0.50 | $25 |
claude-sonnet-5 | Bedrock | 1M | $3 | $0.30 | $15 |
claude-opus-4-8 | Bedrock | 1M | $5 | $0.50 | $25 |
claude-opus-4-7 | Bedrock | 200k | $5 | $0.50 | $25 |
claude-opus-4-6 | Bedrock | 200k | $5 | $0.50 | $25 |
claude-opus-4-5 | Bedrock | 200k | $5 | $0.50 | $25 |
claude-sonnet-4-6 | Bedrock | 200k | $3 | $0.30 | $15 |
claude-sonnet-4-5 | Bedrock | 200k | $3 | $0.30 | $15 |
claude-haiku-4-5 | Bedrock | 200k | $1 | $0.10 | $5 |
gpt-6-astra | Bedrock | 1.05M | $10 | $1 | $50 |
gpt-6-1-sol | Bedrock | 1.05M | $2 | $0.10 | $10 |
gpt-6-sol | Bedrock | 1.05M | $2 | $0.20 | $10 |
gpt-6-luna | Bedrock | 1.05M | $0.10 | $0.01 | $0.50 |
gpt-5-6-sol | Bedrock | 1.05M | $5 | $0.50 | $30 |
gpt-5-6-terra | Bedrock | 1.05M | $2 | $0.20 | $12 |
gpt-5-6-luna | Bedrock | 1.05M | $0.20 | $0.02 | $1.20 |
gpt-5-5 | Bedrock | 272k | $5 | $0.50 | $30 |
gpt-5-4 | OpenAI | 272k | $2.50 | $0.25 | $15 |
gpt-5.2 | OpenAI | 400k | $1.75 | $0.175 | $14 |
gpt-5-3-codex | OpenAI | 400k | $1.75 | $0.175 | $14 |
gpt-5 | OpenAI | 400k | $1.25 | $0.13 | $10 |
gpt-5-4-mini | OpenAI | 400k | $0.75 | $0.075 | $4.50 |
gpt-5-4-nano | OpenAI | 400k | $0.20 | $0.02 | $1.25 |
gpt-4o | OpenAI | 128k | $2.50 | $1.25 | $10 |
gpt-4o-mini | OpenAI | 128k | $0.15 | $0.08 | $0.60 |
gpt-4.1 | OpenAI | 1M | $2 | $0.50 | $8 |
grok-4-5 | xAI | 500k | $2 | $0.30 | $6 |
grok-4-3 | xAI | 1M | $1.25 | $0.20 | $2.50 |
grok-4-1-fast-reasoning | xAI | 128k | $0.20 | $0.05 | $0.50 |
grok-4-1-fast-non-reasoning | xAI | 128k | $0.20 | $0.05 | $0.50 |
grok-code-fast-1 | xAI | 256k | $0.20 | $0.02 | $1.50 |
gemini-4-argon | Gemini | 1M | $4 | $0.20 | $20 |
gemini-3-8-flash | Gemini | 1M | $1.50 | $0.15 | $7.50 |
gemini-3-5-flash-lite | Gemini | 1M | $0.30 | $0.03 | $2.50 |
gemini-3-6-flash | Gemini | 1M | $1.50 | $0.15 | $7.50 |
gemini-3-1-pro-preview | Gemini | 1M | $2 | $0.20 | $12 |
gemini-3-flash-preview | Gemini | 1M | $0.50 | $0.05 | $3 |
gemini-2.5-pro | Gemini | 1M | $1.25 | $0.31 | $10 |
gemini-2.5-flash | Gemini | 1M | $0.30 | $0.075 | $2.50 |
gemini-2.5-flash-lite | Gemini | 1M | $0.10 | $0.025 | $0.40 |
gemini-3-1-flash-lite | Gemini | 1M | $0.25 | $0.025 | $1.50 |
deepseek-v4-1-flash | Fireworks AI | 1M | $0.30 | $0.006 | $1.20 |
deepseek-v4-pro | Fireworks AI | 1.04M | $1.32 | $0.044 | $3.96 |
deepseek-r1 | Bedrock | 128k | $1.35 | — | $5.40 |
gpt-oss-120b | Bedrock | 128k | $0.15 | — | $0.60 |
gpt-oss-20b | Bedrock | 128k | $0.07 | — | $0.20 |
minimax-m3 | Fireworks AI | 524k | $0.30 | $0.06 | $1.20 |
kimi-k3 | Fireworks AI | 1M | $3 | $0.30 | $15 |
kimi-k2-7-code | Fireworks AI | 262k | $0.95 | $0.19 | $4 |
kimi-k2-6 | Fireworks AI | 262k | $0.95 | $0.16 | $4 |
kimi-k2-thinking | Bedrock | 262k | $0.60 | — | $2.50 |
zai-glm-5-3 | Fireworks AI | 1.04M | $1.40 | $0.26 | $4.40 |
zai-glm-5-3-flash | Fireworks AI | 1.04M | $0.15 | $0.029 | $0.50 |
zai-glm-5-2 | Fireworks AI | 1.04M | $1.40 | $0.14 | $4.40 |
qwen-3-7-plus | Fireworks AI | 262k | $0.40 | $0.08 | $1.60 |
zai-glm-4.7-flash | Bedrock | 128k | $0.70 | — | $0.40 |
f1 | Gemini | 1M | $0.50 | $0.05 | $3 |
f1-flash | Fireworks AI | 262k | $0.95 | $0.16 | $4 |
f1-pro | Gemini | 1M | $2 | $0.20 | $12 |
Embedding models
Use these model IDs with embeddings.| Model ID | Provider | USD per 1M tokens |
|---|---|---|
text-embedding-3-small | OpenAI | $0.02 |
text-embedding-3-large | OpenAI | $0.13 |
text-embedding-ada-002 | OpenAI | $0.10 |
text-embedding-004 | Free | |
voyage-4-large | Voyage AI | $0.12 |
voyage-4 | Voyage AI | $0.06 |
voyage-4-lite | Voyage AI | $0.02 |
voyage-context-3 | Voyage AI | $0.18 |
voyage-code-3 | Voyage AI | $0.18 |
voyage-finance-2 | Voyage AI | $0.12 |
voyage-law-2 | Voyage AI | $0.12 |
voyage-code-2 | Voyage AI | $0.12 |
Rerank models
Use these model IDs with rerank.| Model ID | Provider | USD per 1M tokens |
|---|---|---|
rerank-2.5 | Voyage AI | $0.05 |
rerank-2.5-lite | Voyage AI | $0.02 |
Audio transcription models
Use these model IDs with audio transcriptions.| Model ID | Provider | USD price |
|---|---|---|
whisper-1 | OpenAI | $0.006/min |
elevenlabs-scribe-v2 | ElevenLabs | $0.40/hr |
Audio speech models
Use these model IDs with audio speech.| Model ID | Provider | USD per 1M characters |
|---|---|---|
elevenlabs-tts-multilingual-v2 | ElevenLabs | $170 |
elevenlabs-tts-v3 | ElevenLabs | $170 |
elevenlabs-tts-v2-flash | ElevenLabs | $80 |
Image generation models
Use these model IDs with image generation.| Model ID | Provider | USD price |
|---|---|---|
dall-e-3 | OpenAI | $0.04-$0.12 per image |
imagen-4 | $0.04 per image | |
imagen-4-ultra | $0.06 per image | |
imagen-4-fast | $0.02 per image | |
gemini-3-pro-image-preview | $2 input / $120 output per 1M tokens | |
gemini-3-1-flash-image-preview | $0.30 input / $30 output per 1M tokens | |
gemini-2.5-flash-image | $0.30 input / $30 output per 1M tokens |
Call endpoint
Send aGET request with your FrogBot API key.
Authenticate
Use an API key in theAuthorization header.
curl https://app.frogbot.ai/api/v1/models \
-H "Authorization: Bearer $FROGBOT_API_KEY"
Understand response
Returns an OpenAI-compatible list object. Each entry is a supported model object.string
Always
list.array
Array of model objects.
Show Model object
Show Model object
string
Provider-prefixed model ID like
openai/gpt-4o-mini.string
Typically
model.integer
Unix timestamp, if provided by upstream.
string
Provider name like
openai.string
Provider name, if included.
string
ISO timestamp, if included.
object
Provider metadata like status, if included.
any
Additional fields may be present.
See example
Example response shape. Fields may vary by provider.{
"object": "list",
"data": [
{
"id": "openai/gpt-4o-mini",
"object": "model",
"created": 1735689600,
"owned_by": "openai",
"provider_info": {
"status": "enabled"
}
}
]
}
Handle errors
401 means the API key is missing or invalid.
429 means you hit a usage or plan limit.